X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

our of date version

Posted

I believe that I am running the latest version of FireFox (v17.0)

But several sites (PayPal, Facebook, etc.) are telling me that I have an older version and may not run correctly on their site.

What am I missing?

Gerry

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Next Generation Java Plug-in 10.9.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.4
  • np-mswmp
  • AlternaTIFF v2.0.4
  • 4.1.10329.0
  • Google Update
  • GEPlugin
  • Coupons, Inc. Coupon Printer Plugin
  • Coupons, Inc. Coupon Printer DLL
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.8.612
  • getplusplusadobe16263
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • Opf Launcher
  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1 (.NET CLR 3.5.30729)

More Information

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6635 answers

Do the following two steps:

  1. Websites say that Firefox is outdated or incompatible even though it's the latest version
  2. Update Firefox to the latest version

And you should be good to go :)